Scraper apiGeneratedExtraction
List extraction jobs
List and filter extraction jobs by job ID, URL, status, output format, and date range
X-Api-Key<token>
In: header
Query Parameters
job_id?string|null
url?string|null
status?string|null
Value in
"queued" | "processing" | "completed" | "failed" | "cancelled"output?string|null
Value in
"markdown" | "html"start_date?string|null
end_date?string|null
page?integer
Page number (must be greater than 0)
Default
1Range
1 <= valuepage_size?integer
Number of results per page (max 100)
Default
100Range
value <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://scraper.geonode.io/v1/extract/jobs"{
"jobs": [
{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"status": "queued",
"url": "string",
"created_at": "2019-08-24T14:15:22Z",
"execution_time": 0,
"output": [
"markdown"
]
}
],
"page": 0,
"page_size": 0,
"page_count": 0
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}{
"code": "string",
"message": "string",
"correlation_id": "string",
"retryable": true
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}